# CoreJavadocOptions

abstract class CoreJavadocOptions : MinimalJavadocOptions

Provides the core Javadoc Options. That is, provides the options which are not doclet specific.

#### Inheritors

StandardJavadocDocletOptions

## Constructors

CoreJavadocOptions
Link copied to clipboard
constructor()

## Properties

jFlags
Link copied to clipboard
open var jFlags: List<String>
optionFiles
Link copied to clipboard
open var optionFiles: List<File>

## Functions

addBooleanOption
Link copied to clipboard
open fun addBooleanOption(option: String): JavadocOptionFileOption<Boolean>
open fun addBooleanOption(option: String, value: Boolean): JavadocOptionFileOption<Boolean>
Adds an option that will be supplied or not without further arguments.
addEnumOption
Link copied to clipboard
open fun <T : Enum<T>?> addEnumOption(option: String): JavadocOptionFileOption<T>
open fun <T : Enum<T>?> addEnumOption(option: String, value: T): JavadocOptionFileOption<T>
Adds an option that will use the lowercased `toString()` value of an enum constant as option.
addFileOption
Link copied to clipboard
open fun addFileOption(option: String): JavadocOptionFileOption<File>
open fun addFileOption(option: String, value: File): JavadocOptionFileOption<File>
Adds an option that will have an absolute file path supplied as a separate argument.
addMultilineMultiValueOption
Link copied to clipboard
open fun addMultilineMultiValueOption(option: String): JavadocOptionFileOption<List<List<String>>>
Adds an option that will appear multiple times each with zero, one, or multiple values supplied as individual argument each.
addMultilineStringsOption
Link copied to clipboard
open fun addMultilineStringsOption(option: String): JavadocOptionFileOption<List<String>>
Adds an option that will appear multiple times each with one value supplied as a separate argument.
addOption
Link copied to clipboard
open fun <T> addOption(option: JavadocOptionFileOption<T>): JavadocOptionFileOption<T>
addPathOption
Link copied to clipboard
open fun addPathOption(option: String): JavadocOptionFileOption<List<File>>
Adds an option that will have multiple absolute file paths joined by `path.separator` supplied as a separate argument.
open fun addPathOption(option: String, joinBy: String): JavadocOptionFileOption<List<File>>
Adds an option that will have multiple absolute file paths joined by the provided separator supplied as a separate argument.
addStringOption
Link copied to clipboard
open fun addStringOption(option: String): JavadocOptionFileOption<String>
open fun addStringOption(option: String, value: String): JavadocOptionFileOption<String>
Adds an option that will have one string value supplied as a separate argument.
addStringsOption
Link copied to clipboard
open fun addStringsOption(option: String): JavadocOptionFileOption<List<String>>
Adds an option that will have multiple values joined by `path.separator` supplied as a separate argument.
open fun addStringsOption(option: String, joinBy: String): JavadocOptionFileOption<List<String>>
Adds an option that will have multiple values joined by the provided separator supplied as a separate argument.
bootClasspath
Link copied to clipboard
open fun bootClasspath(bootClasspath: Array<File>): MinimalJavadocOptions
breakIterator
Link copied to clipboard
open fun breakIterator(): MinimalJavadocOptions
open fun breakIterator(breakIterator: Boolean): MinimalJavadocOptions
classpath
Link copied to clipboard
open fun classpath(classpath: Array<File>): MinimalJavadocOptions
open fun classpath(classpath: List<File>): MinimalJavadocOptions
contributeCommandLineOptions
Link copied to clipboard
open fun contributeCommandLineOptions(execHandleBuilder: ExecSpec)
destinationDirectory
Link copied to clipboard
abstract fun destinationDirectory(directory: File): MinimalJavadocOptions
doclet
Link copied to clipboard
open fun doclet(doclet: String): MinimalJavadocOptions
docletpath
Link copied to clipboard
open fun docletpath(docletpath: Array<File>): MinimalJavadocOptions
encoding
Link copied to clipboard
open fun encoding(encoding: String): MinimalJavadocOptions
extDirs
Link copied to clipboard
open fun extDirs(extDirs: Array<File>): MinimalJavadocOptions
getBootClasspath
Link copied to clipboard
open fun getBootClasspath(): List<File>
-bootclasspath classpathlist Specifies the paths where the boot classes reside.
getClasspath
Link copied to clipboard
open fun getClasspath(): List<File>
-classpath classpathlist Specifies the paths where javadoc will look for referenced classes (.class files) -- these are the documented classes plus any classes referenced by those classes.
getDestinationDirectory
Link copied to clipboard
abstract fun getDestinationDirectory(): File
getDoclet
Link copied to clipboard
open fun getDoclet(): String
-doclet class Specifies the class file that starts the doclet used in generating the documentation.
getDocletpath
Link copied to clipboard
open fun getDocletpath(): List<File>
-docletpath classpathlist Specifies the path to the doclet starting class file (specified with the -doclet option) and any jar files it depends on.
getEncoding
Link copied to clipboard
open fun getEncoding(): String
-encoding name Specifies the encoding name of the source files, such as EUCJIS/SJIS.
getExtDirs
Link copied to clipboard
open fun getExtDirs(): List<File>
-extdirs dirlist Specifies the directories where extension classes reside.
getHeader
Link copied to clipboard
abstract fun getHeader(): @Nullable String
getJFlags
Link copied to clipboard
abstract fun getJFlags(): @Nullable List<String>
getLocale
Link copied to clipboard
open fun getLocale(): String
-locale language_country_variant Important - The -locale option must be placed ahead (to the left) of any options provided by the standard doclet or any other doclet.
getMemberLevel
Link copied to clipboard
open fun getMemberLevel(): JavadocMemberLevel
Switch to set the members that should be included in the Javadoc.
getModulePath
Link copied to clipboard
open fun getModulePath(): List<File>
getOptionFiles
Link copied to clipboard
abstract fun getOptionFiles(): @Nullable List<File>
getOutputLevel
Link copied to clipboard
open fun getOutputLevel(): JavadocOutputLevel
Control the Javadoc output level (-verbose or -quiet).
getOverview
Link copied to clipboard
open fun getOverview(): String
-overview path\filename Specifies that javadoc should retrieve the text for the overview documentation from the "source" file specified by path/filename and place it on the Overview page (overview-summary.html).
getSource
Link copied to clipboard
open fun getSource(): String
-source release Specifies the version of source code accepted.
getSourceNames
Link copied to clipboard
open fun getSourceNames(): List<String>
getWindowTitle
Link copied to clipboard
abstract fun getWindowTitle(): @Nullable String
header
Link copied to clipboard
abstract fun header(header: String): StandardJavadocDocletOptions
isBreakIterator
Link copied to clipboard
open fun isBreakIterator(): Boolean
-breakiterator Uses the internationalized sentence boundary of java.text.BreakIterator to determine the end of the first sentence for English (all other locales already use BreakIterator), rather than an English language, locale-specific algorithm.
isVerbose
Link copied to clipboard
open fun isVerbose(): Boolean
jFlags
Link copied to clipboard
open fun jFlags(jFlags: Array<String>): MinimalJavadocOptions
knownOptionNames
Link copied to clipboard
@Incubating
open fun knownOptionNames(): Set<String>
Gets a set of all the options that are known to this class and have separate properties.
locale
Link copied to clipboard
open fun locale(locale: String): MinimalJavadocOptions
modulePath
Link copied to clipboard
open fun modulePath(modulePath: List<File>): MinimalJavadocOptions
optionFiles
Link copied to clipboard
open fun optionFiles(argumentFiles: Array<File>): MinimalJavadocOptions
overview
Link copied to clipboard
open fun overview(overview: String): MinimalJavadocOptions
Fluent setter for the overview option.
quiet
Link copied to clipboard
open fun quiet(): MinimalJavadocOptions
setBootClasspath
Link copied to clipboard
open fun setBootClasspath(bootClasspath: List<File>)
setBreakIterator
Link copied to clipboard
open fun setBreakIterator(breakIterator: Boolean)
setClasspath
Link copied to clipboard
open fun setClasspath(classpath: List<File>)
setDestinationDirectory
Link copied to clipboard
abstract fun setDestinationDirectory(directory: @Nullable File)
setDoclet
Link copied to clipboard
open fun setDoclet(doclet: String)
setDocletpath
Link copied to clipboard
open fun setDocletpath(docletpath: List<File>)
setEncoding
Link copied to clipboard
open fun setEncoding(encoding: String)
setExtDirs
Link copied to clipboard
open fun setExtDirs(extDirs: List<File>)
setHeader
Link copied to clipboard
abstract fun setHeader(header: @Nullable String)
setJFlags
Link copied to clipboard
abstract fun setJFlags(jFlags: @Nullable List<String>)
setLocale
Link copied to clipboard
open fun setLocale(locale: String)
setMemberLevel
Link copied to clipboard
open fun setMemberLevel(memberLevel: JavadocMemberLevel)
setModulePath
Link copied to clipboard
open fun setModulePath(modulePath: List<File>)
setOptionFiles
Link copied to clipboard
abstract fun setOptionFiles(optionFiles: @Nullable List<File>)
setOutputLevel
Link copied to clipboard
open fun setOutputLevel(outputLevel: JavadocOutputLevel)
setOverview
Link copied to clipboard
open fun setOverview(overview: String)
setSource
Link copied to clipboard
open fun setSource(source: String)
setSourceNames
Link copied to clipboard
open fun setSourceNames(sourceNames: List<String>)
setWindowTitle
Link copied to clipboard
abstract fun setWindowTitle(windowTitle: @Nullable String)
showAll
Link copied to clipboard
open fun showAll(): MinimalJavadocOptions
showFromPackage
Link copied to clipboard
open fun showFromPackage(): MinimalJavadocOptions
showFromPrivate
Link copied to clipboard
open fun showFromPrivate(): MinimalJavadocOptions
showFromProtected
Link copied to clipboard
open fun showFromProtected(): MinimalJavadocOptions
showFromPublic
Link copied to clipboard
open fun showFromPublic(): MinimalJavadocOptions
source
Link copied to clipboard
open fun source(source: String): MinimalJavadocOptions
sourceNames
Link copied to clipboard
open fun sourceNames(sourceNames: Array<String>): MinimalJavadocOptions
verbose
Link copied to clipboard
open fun verbose(): MinimalJavadocOptions
windowTitle
Link copied to clipboard
abstract fun windowTitle(windowTitle: String): StandardJavadocDocletOptions
write
Link copied to clipboard
fun write(outputFile: File)